# SPDX-License-Identifier: MIT
%global project_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), " SIL$", ""); t=string.gsub(t, "[%p%s]+", ""); print(string.lower(t))}
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 1.000
%global source_release 8
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Shimenkan
%global fonts_summary            Shimenkan, a Miao (Pollard) script font family
%global fonts_tags               %{expand:
Recommends: font(sourcesanspro)
}
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 65-%{fonts_name}.xml
%global fonts_description        %{expand:
The Shimenkan font family supports the broad variety of writing systems that
use the Miao (Pollard) script. It leverages OpenType features to provide the
correct alternates and positioning for each language. Therefore, making use of
this font requires good OpenType support in applications.

The Latin glyphs are based on the OFL-licensed Source Sans Pro font family. The
Miao glyphs are designed to harmonize with the Latin, but remain true to the
unique characteristics of Miao writing systems. The project is inspired by, but
not based on, the Miao Unicode project.

Languages that use the Miao script have different positioning and glyphs
shaping conventions. Accessing the correct alternates and positioning for a
given language requires application support for the corresponding OpenType
feature.}

%auto_init
%auto_pkg

%sourcelist
https://github.com/silnrsi/font-%{project_name}/releases/download/v%{version}/%{archive_name}.tar.xz
65-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.000-8
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.000-7
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.000-6
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.000-5
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.000-4
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.000-3
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.000-1
✅ Initial packaging
